Bug 1983220 - A second scroll bar appears on the Node/Pod terminal page when resizing vertically
Summary: A second scroll bar appears on the Node/Pod terminal page when resizing verti...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.8
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.9.0
Assignee: Christoph Jerolimov
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-16 21:14 UTC by Jon Jackson
Modified: 2021-10-18 17:40 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Xterm uses an invisible textarea to detect keyboard events. This textarea has an absolute position and was permanently moved when the cursor position is changed. But this does not happen when the user resizes the window. Consequence: When the user logs some output and resizes the browser window the browser shows sometimes two scrollbars. Fix: Force Xterm to update the internal textarea after the browser window was resized. Result: The browser shows only one scrollbar when the user resizes the window.
Clone Of:
Environment:
Last Closed: 2021-10-18 17:39:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9534 0 None open Bug 1983220: Fix pod terminal second scrollbar when user reduce the window size 2021-07-16 21:20:36 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:40:15 UTC

Description Jon Jackson 2021-07-16 21:14:47 UTC
Description of problem:
Subsequent to creating new lines in the terminal, vertically resizing the window will cause a second scroll bar to appear.


Version-Release number of selected component (if applicable):
4.8

How reproducible:
Always

Steps to Reproduce:
1. Visit any Node or Pod terminal tab in a non-fullscreen browser window
2. Once the terminal session is ready, press enter several times to render new lines
3. Resize the window vertically

Actual results:
A second scrollbar appears at the window level

Expected results:
Only the scrollbar in the terminal element should be present

Comment 2 Yadan Pei 2021-07-21 09:53:33 UTC
The fix works for Chrome and Firefox, only one scrollbar in the terminal.

However the issue still reproduces on Safari, assigning back for confirmation

@cjerolim

Comment 3 Christoph Jerolimov 2021-07-28 12:01:00 UTC
Hey Yadan, I retested this now also on Safari (Safari 14.1.2 on macOS 11.5.1) but could not see a second scrollbar (until the moment the window was too small to show at least one line of the terminal).

I recorded a video which I could not attach to this issue. You can checkout it here: https://drive.google.com/file/d/1Fqi8yNd5mp1RGSa1MY5i5HYRuHhikzm3/view?usp=sharing (sorry only viewable with an Red Hat account).

Can you retry it again and maybe record a video as well if you has still an issue here? Thank you!

Comment 4 Christoph Jerolimov 2021-07-28 12:12:57 UTC
If you prefer you can also reassign this to @gamore because he is also assigned to the dev console jira ticket (https://issues.redhat.com/browse/ODC-5630)

Comment 6 Yadan Pei 2021-07-29 08:42:45 UTC
confirmed that Node & Pod terminal has only one scrollbar when resizing vertically,

moving to VERIFIED 4.9.0-0.nightly-2021-07-28-043044

Comment 10 errata-xmlrpc 2021-10-18 17:39:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.